package com.ssj.service.sys.feedback.service.impl;

import com.ssj.bean.sys.feedback.domain.SconTextFeedbackDetail;
import com.ssj.dao.sys.feedback.dao.SconTextFeedbackDetailDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.feedback.service.SconTextFeedbackDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/** 
 * @author  ZhangCaibao 
 * @version 2018年5月11日 下午3:48:57 
 * 类说明 
 */
@Service
@Transactional
public class SconTextFeedbackDetailServiceImpl extends BaseServiceImpl<SconTextFeedbackDetail, String> implements SconTextFeedbackDetailService {
	@Autowired
	private SconTextFeedbackDetailDao  dao;
	@Override
	public PagingAndSortingRepository<SconTextFeedbackDetail, String> getDao() {
		return dao;
	}
	@Override
	public List<SconTextFeedbackDetail> findByFeedbackId(String feedbackId) {
		return dao.findByFeedbackId(feedbackId);
	}
	@Override
	public SconTextFeedbackDetail findByFeedbackIdAndType(String feedbackId,
			String type) {
		return dao.findByFeedbackIdAndType(feedbackId, type);
	}


	public List<SconTextFeedbackDetail> findTextByPid (String bizId){
		return dao.findTextByPid(bizId);
	}
}
